Package htsjdk.samtools.cram.compression.rans

# Class RANSEncodingSymbol

java.lang.Object
htsjdk.samtools.cram.compression.rans.RANSEncodingSymbol

public final class RANSEncodingSymbol extends Object

## Constructor Summary

Constructors
Constructor
Description
`RANSEncodingSymbol()`

## Method Summary

Modifier and Type
Method
Description
`long`
`putSymbol4x8(long r, ByteBuffer byteBuffer)`
`long`
`putSymbolNx16(long r, ByteBuffer byteBuffer)`
`void`
`reset()`
`void`
`set(int start, int freq, int scaleBits)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RANSEncodingSymbol

public RANSEncodingSymbol()

## Method Details

### reset

public void reset()

### set

public void set(int start, int freq, int scaleBits)

### putSymbol4x8

public long putSymbol4x8(long r, ByteBuffer byteBuffer)

### putSymbolNx16

public long putSymbolNx16(long r, ByteBuffer byteBuffer)